Datasets
Read a dataset schema
Returns the existing tables, relationships and downloaded-file column definitions for registration mappings.
GET
/
api
/
v1
/
datasets
/
{datasetId}
/
schema
cURL
curl --request GET 'https://dashboard.sequentum.com/api/v1/datasets/42/schema' \
--header 'Authorization: ApiKey {key}'const response = await fetch('https://dashboard.sequentum.com/api/v1/datasets/42/schema', {
method: 'GET',
headers: { Authorization: 'ApiKey ' + process.env.SEQUENTUM_API_KEY }
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());import os
import requests
response = requests.get(
'https://dashboard.sequentum.com/api/v1/datasets/42/schema',
headers={'Authorization': 'ApiKey ' + os.environ['SEQUENTUM_API_KEY']},
timeout=60,
)
response.raise_for_status()
print(response.json()){
"systemColumnsVersion": 0,
"hasCollectionTable": false,
"hasFileTable": true,
"tables": [
{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"parentTableId": "<string>",
"isPrimary": true,
"hasParentId": true,
"columns": [
{
"isFileReference": true,
"name": "<string>",
"sourceName": "<string>",
"type": "<string>",
"contentType": 0,
"isEncrypted": true
}
]
}
],
"warnings": [
"<string>"
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}